Subject: Re: [PATCH 7/7] make "git fetch" update all fetch repositories

From: Paolo Bonzini <[email-masked]>
Date: Tue, 29 Apr 2008 08:55:58 +0200

> Some of them point to my colleagues laptops, where temporary
> git-daemons sometimes serve content, and sometimes it doesn't.

Again, you should probably have skipDefaultUpdate set on those remotes 
even now!  A patch that makes a "wrong" (or incomplete) configuration 
more apparent, is not necessarily wrong in itself.  (I was sort of 
expecting these objections -- the patches are designed to make the 
common use cases easier, and of course on this list you will find 
experts with less common scenarios).

In case it was not clear: it's not like the fetch command will *always* 
update all repositories.  Only the zero-argument variation will.

> How about renaming "skipDefaultUpdate" to "fetch.fetchAllRemotes" and
> let it default to false?

Renaming can be done (as a followup preferably, the patch series touches 
enough places like this).  But not setting the default, as that would 
destroy the "base case" where "git fetch" just fetches from origin.

Paolo